Bug 395519 - Minimize applet stops working correctly - regression?
Summary: Minimize applet stops working correctly - regression?
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Unclassified
Component: General (show other bugs)
Version: 5.13.0
Platform: Manjaro Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-17 10:24 UTC by Michał Dybczak
Modified: 2018-06-19 08:12 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Dybczak 2018-06-17 10:24:38 UTC
Plasma 5.13.0
KDE Framework 5.47.0-1
OS: Manjaro KDE
Kernel 5.17

Using Minimize All applet which comes by default on Manjaro KDE. In the past there was Minimize to desktop and Minizmie All, now it seems to be only Minimize All (which is fine, since Minimize to desktop was unsuable anyway).

Steps to reproduce:

1. Open few program windows (so they appear on desktop one over the other).
2. Use Minimize All widget
3. Click on panel/dock (doesn't matter if applet is on system panel or latte) icon to un-minimize chosen window

Expected behavior: Only chosen window should be un-minimized.

What happens
- All windows get un-minimized and they are placed in random or previous layers (so it works like Minimize to desktop, Minimize All lost its functionality) so the wished window usually gets covered behind thus requiring to click second time for it to appear. This effect happens when window is chosen from overview.
- Also, after minimizing all and opening a file from the desktop and closing that file window, all minimized windows jump on the screen, again with random layers placement (there is no way to control and have expected windows order in that way).

Works: Always

A workaround is to use alt+tab or overview (assigned to pad gesture, shortcut or active corner) to change workflow of choosing the window. Still, this is not a fix and the bug is limiting Plasma’s ability to choose proffered workflow. It also disturbs any workflow with automatic raising windows and placing them in random or unclear manner (first window is always DIFFERENT then the last minimized one!) on the desktop.

At first I thought this may be somewhat related to the bug:

https://bugs.kde.org/show_bug.cgi?id=395473

but on second though, clicking on the applet minimize and un-minimize windows on the second stroke so it's not that.

This is the most serious bug discovered in Plasma 5.13 that can't be ignored and is disturbing normal work on the system, hence I set severity to "major".
Comment 1 David Edmundson 2018-06-19 08:12:41 UTC
Git commit 70ecec7298e4391251e435d2471447fa9d0f0c13 by David Edmundson.
Committed on 19/06/2018 at 08:11.
Pushed by davidedmundson into branch 'Plasma/5.13'.

Do not restore windows on minimise change

Summary:
On window changing the old code would deactivate the minimise all
plugin, but not restore the rest of the minised windows. This restores
that behaviour.

Also simplify tracking which active window changes, in a way that still
works when a user clicks minimise all then interacts with the desktop.

Patch co-written by Anthony Fieroni.

Test Plan:
Clicked minimise all
Clicked desktop
Clicked minimise all, windows restored

Clicked minimise all
Opened a window
Only that window restored
Clicking minimise all again minimised only that window

Reviewers: #plasma

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D13598

M  +5    -9    applets/minimizeall/package/contents/ui/main.qml

https://commits.kde.org/kdeplasma-addons/70ecec7298e4391251e435d2471447fa9d0f0c13